"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("./../util");
var channel_1 = require("./channel");
var PusherChannel = (function (_super) {
    __extends(PusherChannel, _super);
    function PusherChannel(pusher, name, options) {
        var _this = _super.call(this) || this;
        _this.name = name;
        _this.pusher = pusher;
        _this.options = options;
        _this.eventFormatter = new util_1.EventFormatter(_this.options.namespace);
        _this.subscribe();
        return _this;
    }
    PusherChannel.prototype.subscribe = function () {
        this.subscription = this.pusher.subscribe(this.name);
    };
    PusherChannel.prototype.unsubscribe = function () {
        this.pusher.unsubscribe(this.name);
    };
    PusherChannel.prototype.listen = function (event, callback) {
        this.on(this.eventFormatter.format(event), callback);
        return this;
    };
    PusherChannel.prototype.stopListening = function (event) {
        this.subscription.unbind(this.eventFormatter.format(event));
        return this;
    };
    PusherChannel.prototype.on = function (event, callback) {
        this.subscription.bind(event, callback);
        return this;
    };
    return PusherChannel;
}(channel_1.Channel));
exports.PusherChannel = PusherChannel;
//# sourceMappingURL=pusher-channel.js.map