"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var pusher_channel_1 = require("./pusher-channel");
var PusherPresenceChannel = (function (_super) {
    __extends(PusherPresenceChannel, _super);
    function PusherPresenceChannel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PusherPresenceChannel.prototype.here = function (callback) {
        this.on('pusher:subscription_succeeded', function (data) {
            callback(Object.keys(data.members).map(function (k) { return data.members[k]; }));
        });
        return this;
    };
    PusherPresenceChannel.prototype.joining = function (callback) {
        this.on('pusher:member_added', function (member) {
            callback(member.info);
        });
        return this;
    };
    PusherPresenceChannel.prototype.leaving = function (callback) {
        this.on('pusher:member_removed', function (member) {
            callback(member.info);
        });
        return this;
    };
    PusherPresenceChannel.prototype.whisper = function (eventName, data) {
        this.pusher.channels.channels[this.name].trigger("client-" + eventName, data);
        return this;
    };
    return PusherPresenceChannel;
}(pusher_channel_1.PusherChannel));
exports.PusherPresenceChannel = PusherPresenceChannel;
//# sourceMappingURL=pusher-presence-channel.js.map