"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var connector_1 = require("./connector");
var channel_1 = require("./../channel");
var NullConnector = (function (_super) {
    __extends(NullConnector, _super);
    function NullConnector() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.channels = {};
        return _this;
    }
    NullConnector.prototype.connect = function () {
    };
    NullConnector.prototype.listen = function (name, event, callback) {
        return new channel_1.NullChannel;
    };
    NullConnector.prototype.channel = function (name) {
        return new channel_1.NullChannel;
    };
    NullConnector.prototype.privateChannel = function (name) {
        return new channel_1.NullPrivateChannel;
    };
    NullConnector.prototype.presenceChannel = function (name) {
        return new channel_1.NullPresenceChannel;
    };
    NullConnector.prototype.leave = function (name) {
    };
    NullConnector.prototype.leaveChannel = function (name) {
    };
    NullConnector.prototype.socketId = function () {
        return 'fake-socket-id';
    };
    NullConnector.prototype.disconnect = function () {
    };
    return NullConnector;
}(connector_1.Connector));
exports.NullConnector = NullConnector;
//# sourceMappingURL=null-connector.js.map