"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var observable_1 = require("tns-core-modules/data/observable");
var connector_1 = require("./connector");
var Common = (function (_super) {
    __extends(Common, _super);
    function Common(options) {
        var _this = _super.call(this) || this;
        _this.options = options;
        if (_this.options.broadcaster == 'pusher') {
            _this.connector = new connector_1.PusherConnector(_this.options);
        }
        else if (_this.options.broadcaster == 'socket.io') {
            _this.connector = new connector_1.SocketIoConnector(_this.options);
        }
        else if (_this.options.broadcaster == 'null') {
            _this.connector = new connector_1.NullConnector(_this.options);
        }
        return _this;
    }
    Common.prototype.listen = function (channel, event, callback) {
        return this.connector.listen(channel, event, callback);
    };
    Common.prototype.channel = function (channel) {
        return this.connector.channel(channel);
    };
    Common.prototype.private = function (channel) {
        return this.connector.privateChannel(channel);
    };
    Common.prototype.join = function (channel) {
        return this.connector.presenceChannel(channel);
    };
    Common.prototype.leave = function (channel) {
        this.connector.leave(channel);
    };
    Common.prototype.socketId = function () {
        return this.connector.socketId();
    };
    Common.prototype.disconnect = function () {
        this.connector.disconnect();
    };
    return Common;
}(observable_1.Observable));
exports.Common = Common;
//# sourceMappingURL=laravel-echo.common.js.map