"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EventFormatter = (function () {
    function EventFormatter(namespace) {
        this.setNamespace(namespace);
    }
    EventFormatter.prototype.format = function (event) {
        if (event.charAt(0) === '.' || event.charAt(0) === '\\') {
            return event.substr(1);
        }
        else if (this.namespace) {
            event = this.namespace + '.' + event;
        }
        return event.replace(/\./g, '\\');
    };
    EventFormatter.prototype.setNamespace = function (value) {
        this.namespace = value;
    };
    return EventFormatter;
}());
exports.EventFormatter = EventFormatter;
//# sourceMappingURL=event-formatter.js.map